unit uIEditorGruposProveedor;

interface

uses
  uEditorDBBase, uBizGruposProveedor, uGruposProveedorController, uGUIBase;

type
  IEditorGruposProveedor = interface(ICustomEditor)
  ['{A593BC54-0A28-446E-A6B7-E925D7C4B82C}']
    function ShowModal : Integer;
    procedure Show;

    function GetGruposProveedor: IBizGrupoProveedor;
    procedure SetGruposProveedor(const Value: IBizGrupoProveedor);
    property GruposProveedor: IBizGrupoProveedor read GetGruposProveedor write SetGruposProveedor;

    function GetController : IGruposProveedorController;
    procedure SetController (const Value : IGruposProveedorController);
    property Controller : IGruposProveedorController read GetController write SetController;
  end;


implementation

end.
